import express from "express";
import userCtrl from "../controllers/user.controller.js";

const router = express.Router();

router.route("/getUser/:id").get(userCtrl.getUser);
router.route("/login").post(userCtrl.login);
router.route("/signup").post(userCtrl.signup);

router.route("/profileimg")
    .put(userCtrl.imgUpload, userCtrl.update)
router.route("/updateinfo")
    .put(userCtrl.updateinfo)

router.route("/").post(userCtrl.signup);
export default router;
